About version...

 Top Next

About version 7.3:

· Spanish language support was corrected by Pedro Alamo.
· Check for update algorithm was altered.

About version 7.2:

· Algorithm of solenoid Q-factor calculation was corrected.
· Algorithm of multilayer coils resistance calculation was fixed

About version 7.1:

· Adding more calculation for single layer coils.
· Some bugs was fixed, also in program interface.

About version 7.0:

· Single layer coils is calculating by improved formula with high accuracy for all dimensions range.

About version 6.3:

· The code for interaction with new plugins is advanced.

About version 6.2:

· Some bugs was fixed, also in result output
· Algorithm of the multilayer coil calculation was corrected
· France and Spain language support was added

About version 6.1:

· Some bugs was fixed, also in program interface
· Measurement units selection (mm, cm, inches)
· Select wire gauge (metric or AWG)

About version 6.0:

· The program will be developing with a module principle. All new calculations further will applies as single module (plugin)
· Plugin for calculation permeability of ferrite ring by it's sizes and inductance was added
· Some bugs was fixed , also in calculation of multi-layer coils
· Check for update algorithm was altered

About version 5.2:

· In this version was added the possible to estimate length of wire that necessary to wind coil on ferrite ring and toroidal coil.
· Adding Serbian language support by Milos Jovanovic.
· Some mistakes was corrected.

About version 5.1:

· In this version was added the possible to calculate Q-factor for RF solenoids approximately.

About version 5.0:

· previous versions were developed in language Assembler MASM32, however it became very difficult to realize all wishes of users in this format and the program is completely altered on high level programming language.
· In the program was added multilanguage interface and skins.
· Possibility of installation by the user of measure units and result accuracy is added.
· Possibility to check for update through the Internet is added.
· algorithm of the multilayer coil calculation is completely altered.
· program help file is altered

Some another features of program:

· Number of turns calculation under given inductance
· Inductance of coil calculation under given number of turns and coil design sizes
· Q-factor of air core one-layer coil inductance estimation
· Inductance of multilayer coil estimate by it resistance to DC
· Estimate length of wire, that necessary to wind a multilayer coil inductance

If you wish to add to the program your own language, please translate himself the file "English.lng" in subfolder "Language" and save the target file in this folder with name -"Mylanguage.lng". In the next start of the program this language will be available in menu. To make available this file to another users you can send this file to the Developer on E-mail coil32@yandex.ru and it'll be included it in a next version.


About Coil32

 Top Previous Next

Program is developed for calculation of inductance of coils, on different cores: one and multilayered, on ferrite rings, in the armored core, flat coils on the printed-circuit board, and also for calculation of oscillatory contours.

Program is free for use and distribution.

About all wishes and remarks please inform the developer on E-mail: coil32@yandex.ru

Program site: http://coil32.narod.ru

Thanks for responses and program testing:

RK3AQD, RA1QEA, UA9CTU, RA3MB, RA3SI, UA3GGP, US5LOC, UT2LK, UR3LUC, UA6IGI, UN8GW, EA1DDO, and to Eugene Emelin, Anatolia, Dmitri, Milos Jovanovic, Yogesh Karale, Pedro Alamo.

Special thank for:

RA3PKJ, Robert Weaver, G3YNH - David Knight

When the radio-amateur, at designing of any device, get a question to realize the coil of inductance it is often taken a number of problems. In the first, to purchase the ready coil with the necessary parameters practically it is difficult. In the second, even if you also managed to find the ready coil with required inductance, most likely on other parameters, for example Q-factor, it will not approach you. As a result, in most cases, the coil should be wound manually. In this case the program which can calculate such coil very will help. I hope that Coil32 will help you to carry out this task.

In the program the most widespread variants of coils forms are considered. It is possible to calculate air core coil in the form of a single loop, on frames of the various form, on ferrite rings and in armored cores, and also the flat printing coil with the round and square form of turns. For the calculated coil it is possible to calculate the capacity in an oscillatory contour. For one-layers solenoids it is possible to calculate Q-factor approximately.

It is necessary to mean that settlement formulas are approximating and calculation of the real coil on them is led only with certain degree of accuracy.

System requirements:

· OS - Windows XP Service Pack2 or higher (was tested in Windows 7)
· Processor Intel Pentium IV 2.4 GHz or higher
· RAM - 512 Mb
· screen resolution - 1024x768 or higher


Introducion

The program is not difficult to use.

In the main menu of the program it is possible to select suitable language, skin, and from "option" item - units of measure of inductance, capacities and frequencies. Sizes are entered in millimeters, centimeters or inches, selection this units is available also in menu item "option". The wire diameter can be direct entered in input field or selected from drop-down gauge list (metric or AWG) by right mouse clicking. The wire gauge type is selected also in this menu item. It is possible to select the period of automatic check for updates from the same menu item. Under a data entry field of inductance value it is possible to select the coil form from the falling out menu.

Additional skins may be downloaded from downloaded page of program site http://Coil32.narod.ru/download-en

In "Plugin" item of menu it is available additional modules of program. This plugins also may be downloaded from program site. New plugin have to be unpacked into "Plugin" subfolder and it will be available in the next start of the program.

In the tab "coil" it is possible to enter the initial data and to calculate number of turns of the coil for the necessary inductance, and Q-factor for RF solenoids, in the tab "inductance" it is possible to calculate inductance of the coil on the known sizes, in the tab "circuit" it is possible to calculate oscillatory contour parameters.

All results are deduced in the general text box. They can be saved in a file, to copy in a clipboard and to print. The toolbar on top a text box or the pop up menu caused by click of the right mouse button for this purpose serves. All results it is possible to erase and begin calculation anew.

Once again I want to mark that the program calculates under the approximate formulas and with accuracy not above 1-4 %. Really inductance depends on a magnetic field configuration which exterior factors influence many, their registration represents enough challenging task. Behind particulars I send to the special literature.


One turn loop coil

This inductor is calculating by the next formula:

L- inductance µH

D- diameter of loop mm

d- diameter of wire mm

The diameter of loop is calculating by method of the progressive approximations.

If the program in the output text box show the message: "Coil can not be realized", then diameter of the loop is too large and coil better to realize as One-layer coil a turn to a turn or another.

The calculation of the coil inductance on given sizes is doing on this formula directly.


One-layer coil a turn to a turn

Before calculation in initial parameters you can choose two variants:

1. Diameter of a frame and diameter of a wire are known, the length of winding is calculated.
2. Diameter of a frame and length of winding are known, diameter of a wire is estimated.

In the first case number of turns of the coil is calculating by Robert Weaver formula:

L – coil inductance µH

ω - number of turns

Dk – coil diameter (former diameter + wire diameter (D+d)) mm

l – length of winding mm

D - diameter of a coil-former mm

d - diameter of a wire mm

The calculation to do by method of the progressive approximations, number of turns is calculating to reach necessary inductance.

In second case number of turns is calculating by transformation this formula.

The calculation to do by method of the progressive approximations, diameter of a wire is estimating to fill the length of winding.

The calculation of the coil inductance on given sizes is doing on first formula directly.

In previous versions of program this coil was calculating by follow formula:

But this formula is accurate to within 1% with L/D > 0.4 that is, if the coil is not too short.

This is the Harold A. Wheeler formula, that is adapted for metric units. It was published in 1928, and is handy if the only means for calculation at your disposal, are a pencil and paper. In 1982 Wheeler publised his "continuous" coil formula, that improved version is using in Coil32 v7.0.

Details on http://electronbunker.ca, special thanks to Robert Weaver for in-depth study.


One-layer coil with gap between turns

The number of turns is calculating also as for turn to turn coil To got inductances is added adjustment

The Program does not allow to enter the winding pitch less then diameter of the wire.

The length of winding is calculating by formula:

L – coil inductance µH

ω - number of turns

h - winding pitch (distance from center to center of adjacent turns = gap between turns + wire diameter)

d - diameter of a wire mm

l – length of winding mm

Dk – coil diameter (former diameter + wire diameter ( D + d ) ) mm

Coil inductance on given sizes is calculating as for turn to turn coil, with corrections for winding pitch.


One-layer noncyrcular coil with winding pitch

The number of turns is calculating also as for cylindrical coil. The coil form is considered under the formula:

n - number of sides of the coil-former.

D - is substituted in calculating formulas for cylinrical coil.

It is possible to calculate on such coil-former the coil a turn to a turn, only it is necessary to enter a winding pitch equal to diameter of a wire.

Inductance of the coil at the set sizes is calculating, as well as for cylindrical coil, with correction for form coil.


Multilayer coil

Before calculation in initial parameters you can choose two variants:

1. Length, thickness of winding and diameter of wire are known. Number of turns is calculating, the thickness of the coil "c", its ohmic resistance to a DC and approximate length of a wire for winding ("how many it is necessary to cut off") is in passing estimating.
2. Diameter of a former, length of winding and limiting ohmic resistance of the coil are known. The number of turns is calculated, a thickness of the coil "c", the necessary minimum diameter of a wire and approximate length of a wire for winding is in passing estimating.

In the first case calculation of number of turns is passing directly by the Harold A. Wheeler formula, that was transformed for metric measurements:

L - coil inductance µH

D - diameter of a coil-former mm

R – average radius of the coil (mm)

l - length of winding mm

c – thickness of the coil (winding) mm

d – diameter of the wire mm

ω - number of turns

Thickness of winding and diameter of a wire are connected by the following relation:

In the program density of winding is considered by 0.75 coefficient. In such case accuracy in wide range of design sizes is not more then 10%.

In a periodic circuit it is possible to compensate such error the insert core.

If the program produces in a text box - "The coil can not be realized" most likely it can be made as One-layer.

Plugin "MLC Precise" can to calculate multi-layer coils with most accuracy. It based on Rober Weaver algorithm for numerical calculation of this coil.

In the second case the coil is calculating by the same formula, thickness of the coil and diameter of the wire are calculating by approximately method to rich necessary resistance to DC.


Toroidal-shaped one-layer coil

Number of turns is calculating by formulas for coil on a ferrite ring, only magnetic permeability is accepted to equal to one.


Coil on a ferrite ring

For different standard sizes of rings calculation is conducted on one of two formulas, depending on the relation of an external to internal diameter of the ring:

1.

2.

Accordingly, calculation of inductance of the coil on the given sizes is conducted under following formulas:

1.

2.

L - inductance µH

µ - magnetic permeability

D1, D2, h - coil dimensions (mm)

ω - number of turns


Coil in the pot core

Coil in the pot core computes by the following equations:

k = 19,74 - for powder iron cores,

k = 2.5 - for ferrite cores


Flat coil on PCB

Coil with square form of turns is calculating by the formula :

Coil with round form of turns is calculating by the formula :

Step between turns is calculating by the formula:

Inductance on given sizes is calculating by next formulas:

1. with square turns -

2. with round turns -

At increasing of a coil width (the step between coils is saved) Q of the coil increases. Optimal ratio D2/D1 = 0.362 - for the square coil and D2/D1 = 0.4 - for the round coil. Proceeding from this ratio, the program automatically set value D2 when focus is installed in the input field.

Calculation of inductance in the form of a direct printing explorer is conducted under the formula:

Calculation is conducted by a method of serial approximations, the length of an explorer is calculated to rich necessary inductance. The formula gives comprehensible accuracy if the length of an explorer is much less than wavelength (with truncation in dielectric), i.e. to frequencies of a decimeter wave range and inductance of units of nH, otherwise the explorer is necessary for considering as a distributed parameter line.

L - inductance µH

D1, D2, l, b - coil dimensions (mm)

ω - number of turns


Q-factor

Coil Q-factor is counting by the classical formula, as the relation of its reactance to the active resistance:

Q - coil Q-factor (dimensionless value)

XL - coil reactance Ohm

f - frequency Hz

L - inductance H

RL - common ohmic resistance of losses in the coil Ohm

Reactance is counting very simply, and with active resistance not so easy. It represents the total of losses on a wire ohmic resistance, on a skin-effect, on whirling currents (effect of proximity), losses in the screen, if there is no screen influence is rendered by the nearest conductors and the parts of a construction getting to magnet field of the coil. Influence is rendered also by the coil self-capacitance, a material and the frame form, and also a level of smoothness of a wire of the coil. These effects are strong enough on frequencies of RF range, but in this frequencies it is operating with such concept as Q-factor, reducing in it these all effects of losses.

As a result, precisely to count Q-factor, considering all losses, it is almost impossible, is easier to measure. However the approximate account, not engineering, and for the amateur purposes, allowing to estimate the order of Q-factor value it is possible to make. In the program account is conducted under the above-stated formula, thus active resistance of the one-layer coil is estimating by following expressions:

ρ - volume resistivity of wire [Ohmm]

l - length of wire [m]

A - wire cross-section [m2]

r - wire radius [m]

Rac - wire resistance to DC [Ohm]

Rdc - wire resistance to AC (RF) [Ohm]

Ξ - skin-effect factor

Ψ - proximity effect factor

N - number of turns

Ψ - stored in program as data array and intermediate values are obtaining by linear interpolation.

Special thanks to David Knight

All about coil coil impedance calculation on G3YNH site.


LC contur calculation

 Top Previous

LC circuit computes by Thomson's formula:

f – frequency (Hz)

L – inductance (H)

C – capacitance (F)

If measure units are :

Frequency – kHz

Inductance - µH

Capacitance – pF,

then calculating formulas take the following form:

For single layer solenoids the program gives additional results for parallel RLC circuits, that including this coil:

· Capacitance on resonance frequency
· Characteristic impedance:

· Equivalent resistance:

Self-capacitance of the solenoid is not taking into account. Therefore these calculations makes sense for frequencies more less than self-resonant frequency of the solenoid.